import { UiComponent } from "../UiComponent";
import { UiComponentConfig } from "../../generated/UiComponentConfig";
export declare class ElementUiComponentAdapter extends UiComponent<UiComponentConfig> {
    private element;
    constructor(element: Element | JQuery);
    getMainDomElement(): JQuery;
    destroy(): void;
}
